/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.gebietsbaum.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.gebietsbaum.entity.GebietPolygonPointConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(GebietPolygonPointMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class GebietPolygonPointMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietPolygonPointMeta";

  @Inject
  private transient Messages messages;

  public GebietPolygonPointMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getGebietPolygonPointArtEinzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_GEBIET_POLYGON_POINT_ART_EINZAHL;
  }

  public String getGebietPolygonPointArtMehrzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_GEBIET_POLYGON_POINT_ART_MEHRZAHL;
  }


  public String getGebietPolygonPointArtEinzahlMessage(){
    return getMessage(getGebietPolygonPointArtEinzahlMessageKey());
  }

  public String getGebietPolygonPointArtMehrzahlMessage(){
    return getMessage(getGebietPolygonPointArtMehrzahlMessageKey());
  }



  public boolean isGebietPolygonPointArtRequired() {
    return !GebietPolygonPointConstants.GEBIET_POLYGON_POINT_ART_NULLABLE;
  }

  public de.ivu.elect.business.gebietsbaum.entity.GebietPolygonPointArt getGebietPolygonPointArtDefaultValue() {
    return GebietPolygonPointConstants.GEBIET_POLYGON_POINT_ART_DEFAULT_VALUE;
  }


  public String getLatitudeEinzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_LATITUDE_EINZAHL;
  }

  public String getLatitudeMehrzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_LATITUDE_MEHRZAHL;
  }


  public String getLatitudeEinzahlMessage(){
    return getMessage(getLatitudeEinzahlMessageKey());
  }

  public String getLatitudeMehrzahlMessage(){
    return getMessage(getLatitudeMehrzahlMessageKey());
  }



  public boolean isLatitudeRequired() {
    return !GebietPolygonPointConstants.LATITUDE_NULLABLE;
  }

  public java.lang.Double getLatitudeDefaultValue() {
    return GebietPolygonPointConstants.LATITUDE_DEFAULT_VALUE;
  }

  public int getLatitudeMaxLength() {
    return GebietPolygonPointConstants.LATITUDE_MAX_LENGTH;
  }

  public long getLatitudeMinValue() {
    return GebietPolygonPointConstants.LATITUDE_MIN_VALUE;
  }

  public long getLatitudeMaxValue() {
    return GebietPolygonPointConstants.LATITUDE_MAX_VALUE;
  }

  public String getLongitudeEinzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_LONGITUDE_EINZAHL;
  }

  public String getLongitudeMehrzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_LONGITUDE_MEHRZAHL;
  }


  public String getLongitudeEinzahlMessage(){
    return getMessage(getLongitudeEinzahlMessageKey());
  }

  public String getLongitudeMehrzahlMessage(){
    return getMessage(getLongitudeMehrzahlMessageKey());
  }



  public boolean isLongitudeRequired() {
    return !GebietPolygonPointConstants.LONGITUDE_NULLABLE;
  }

  public java.lang.Double getLongitudeDefaultValue() {
    return GebietPolygonPointConstants.LONGITUDE_DEFAULT_VALUE;
  }

  public int getLongitudeMaxLength() {
    return GebietPolygonPointConstants.LONGITUDE_MAX_LENGTH;
  }

  public long getLongitudeMinValue() {
    return GebietPolygonPointConstants.LONGITUDE_MIN_VALUE;
  }

  public long getLongitudeMaxValue() {
    return GebietPolygonPointConstants.LONGITUDE_MAX_VALUE;
  }

  public String getPositionEinzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_POSITION_EINZAHL;
  }

  public String getPositionMehrzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_POSITION_MEHRZAHL;
  }


  public String getPositionEinzahlMessage(){
    return getMessage(getPositionEinzahlMessageKey());
  }

  public String getPositionMehrzahlMessage(){
    return getMessage(getPositionMehrzahlMessageKey());
  }



  public boolean isPositionRequired() {
    return !GebietPolygonPointConstants.POSITION_NULLABLE;
  }

  public java.lang.Long getPositionDefaultValue() {
    return GebietPolygonPointConstants.POSITION_DEFAULT_VALUE;
  }

  public int getPositionMaxLength() {
    return GebietPolygonPointConstants.POSITION_MAX_LENGTH;
  }

  public long getPositionMinValue() {
    return GebietPolygonPointConstants.POSITION_MIN_VALUE;
  }

  public long getPositionMaxValue() {
    return GebietPolygonPointConstants.POSITION_MAX_VALUE;
  }


  public String getGebietEinzahlMessageKey(){
    return GebietPolygonPointConstants.MESSAGE_KEY_GEBIET_ID_EINZAHL;
  }

  public String getGebietEinzahlMessage(){
    return getMessage(getGebietEinzahlMessageKey());
  }

  public boolean isGebietRequired() {
    return !GebietPolygonPointConstants.GEBIET_ID_NULLABLE;
  }

}